# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ waf
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           lv2-fomp-plugins
Version:        1.0.0
Release:        alt1_12
Summary:        A collection of LV2 plugins

Group:          Sound
License:        GPLv2+
URL:            http://drobilla.net/
Source0:        http://download.drobilla.net/fomp-1.0.0.tar.bz2

BuildRequires:  lv2-devel
BuildRequires:  python
Requires:       lv2
Source44: import.info

%description
Fomp is an LV2 port of the MCP, VCO, FIL, and WAH plugins by Fons Adriaensen.

There are 13 plugins in total: 1 auto-wah, 1 EQ, 3 chorus, 5 filters, and 3 
oscillators.

The plugin implementations are identical to their LADSPA forebears, except 
the primary frequency port of oscillators and filters has been converted to
Hz to facilitate use in any host without assuming the hidden tuning frequency 
of AlsaModularSynth. All other frequency ports remain as they were, using 
octaves for faithful Moog-like modulation.

%prep
%setup -q -n fomp-%{version} 

%build
export CXXFLAGS="%{optflags}"
./waf configure -v --prefix=%{_prefix} --libdir=%{_libdir} 
./waf -v build %{?_smp_mflags}

%install
./waf install --destdir=%{buildroot} 

%files
%doc COPYING README NEWS AUTHORS
%{_libdir}/lv2/fomp.lv2

%changelog
* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_12
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_10
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_8
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_7
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_6
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_4
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_3
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_2
- update to new release by fcimport

* Tue Mar 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_1
- fc import

